# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-01-30 13:44
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import wagtailstreamforms.fields
import wagtailstreamforms.models.form
import wagtailstreamforms.models.form_field


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailstreamforms', '0010_auto_20180130_1120'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='baseform',
            options={'ordering': ['name'], 'verbose_name': 'Form', 'verbose_name_plural': 'Forms'},
        ),
        migrations.AlterModelOptions(
            name='basicform',
            options={'verbose_name': 'Basic form', 'verbose_name_plural': 'Basic Forms'},
        ),
        migrations.AlterModelOptions(
            name='emailform',
            options={'verbose_name': 'Email form', 'verbose_name_plural': 'Email forms'},
        ),
        migrations.AlterModelOptions(
            name='formsubmission',
            options={'ordering': ['-submit_time'], 'verbose_name': 'Form submission'},
        ),
        migrations.AlterModelOptions(
            name='regexfieldvalidator',
            options={'ordering': ['name'], 'verbose_name': 'Regex validator', 'verbose_name_plural': 'Regex validators'},
        ),
        migrations.AlterField(
            model_name='baseform',
            name='add_recaptcha',
            field=models.BooleanField(default=False, help_text='Add a reCapcha field to the form.', verbose_name='Add recaptcha'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='content_type',
            field=models.ForeignKey(on_delete=models.SET(wagtailstreamforms.models.form.get_default_form_content_type), related_name='streamforms', to='contenttypes.ContentType', verbose_name='Content type'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='error_message',
            field=models.CharField(blank=True, help_text='An optional error message to show when the form has validation errors', max_length=255, verbose_name='Error message'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='name',
            field=models.CharField(max_length=255, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='post_redirect_page',
            field=models.ForeignKey(blank=True, help_text='The page to redirect to after a successful submission', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailcore.Page', verbose_name='Post redirect page'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='slug',
            field=models.SlugField(allow_unicode=True, help_text='Used to identify the form in template tags', max_length=255, unique=True, verbose_name='Slug'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='store_submission',
            field=models.BooleanField(default=False, verbose_name='Store submission'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='submit_button_text',
            field=models.CharField(default='Submit', max_length=100, verbose_name='Submit button text'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='success_message',
            field=models.CharField(blank=True, help_text='An optional success message to show when the form has been successfully submitted', max_length=255, verbose_name='Success message'),
        ),
        migrations.AlterField(
            model_name='baseform',
            name='template_name',
            field=models.CharField(choices=[('streamforms/form_block.html', 'Default Form Template')], max_length=255, verbose_name='Template'),
        ),
        migrations.AlterField(
            model_name='emailform',
            name='fail_silently',
            field=models.BooleanField(default=True, verbose_name='Fail silently'),
        ),
        migrations.AlterField(
            model_name='emailform',
            name='from_address',
            field=models.EmailField(max_length=254, verbose_name='From address'),
        ),
        migrations.AlterField(
            model_name='emailform',
            name='message',
            field=models.TextField(verbose_name='Message'),
        ),
        migrations.AlterField(
            model_name='emailform',
            name='subject',
            field=models.CharField(max_length=255, verbose_name='Subject'),
        ),
        migrations.AlterField(
            model_name='emailform',
            name='to_addresses',
            field=wagtailstreamforms.fields.MultiEmailField(help_text='Add one email per line', verbose_name='To addresses'),
        ),
        migrations.AlterField(
            model_name='formfield',
            name='field_type',
            field=models.CharField(choices=wagtailstreamforms.models.form_field.get_form_field_choices(), max_length=16, verbose_name='Field type'),
        ),
        migrations.AlterField(
            model_name='formfield',
            name='form',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_fields', to='wagtailstreamforms.BaseForm', verbose_name='Form'),
        ),
        migrations.AlterField(
            model_name='formfield',
            name='regex_validator',
            field=models.ForeignKey(blank=True, help_text="Applicable only for the field type 'regex validated field'.", null=True, on_delete=django.db.models.deletion.PROTECT, to='wagtailstreamforms.RegexFieldValidator', verbose_name='Regex validator'),
        ),
        migrations.AlterField(
            model_name='formsubmission',
            name='form',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wagtailstreamforms.BaseForm', verbose_name='Form'),
        ),
        migrations.AlterField(
            model_name='formsubmission',
            name='form_data',
            field=models.TextField(verbose_name='Form data'),
        ),
        migrations.AlterField(
            model_name='formsubmission',
            name='submit_time',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Submit time'),
        ),
        migrations.AlterField(
            model_name='regexfieldvalidator',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='regexfieldvalidator',
            name='error_message',
            field=models.CharField(max_length=255, verbose_name='Error message'),
        ),
        migrations.AlterField(
            model_name='regexfieldvalidator',
            name='name',
            field=models.CharField(max_length=255, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='regexfieldvalidator',
            name='regex',
            field=models.TextField(verbose_name='Regex'),
        ),
    ]
